Subject: Re: Inbound PCI and Memory Corruption

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 25 Jul 2013 08:08:42 +1000

On Wed, 2013-07-24 at 08:39 -0700, Peter LaDow wrote:
> A bit of history that may help.  We were using an e100 (an 82559)
> part, but Intel EOL'd that part so we picked up the 82540EP (which
> they have also recently EOL'd).  The e100 driver uses a different DMA
> model.  It uses pci_map_single/pci_unmap_single along with
> pci_dma_sync_single_for* calls (as well as other PCI calls).  The
> e1000 driver, however, does not use the pci_* calls.  We have never
> had a problem with the e100 parts.  I don't suppose the use of
> pci_map_* vs dma_map_* makes a difference does it?

No, they resolve to the same thing under the hood. Did you do other
changes ? Could it be another unrelated kernel bug causing something
like use-after-free of network buffer or similar oddity unrelated to the
network driver ?

Have you tried with different kernel versions ?

Cheers,
Ben.